package cn.com.ty.lift.ud.shopping.mapper.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;

import cn.com.ty.lift.ud.common.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 商城
 * 
 * @author Xson
 * @date 2020-04-23
 */
@ApiModel(description = "商城 ")
@TableName(value = "shopping")
public class ShoppingEntity extends BaseEntity {

    /**
     * 商品名称
     */
    @ApiModelProperty("商品名称")
    private String name;

    /**
     * 价格
     */
    @ApiModelProperty("价格")
    private BigDecimal price;

    /**
     * 折扣价
     */
    @ApiModelProperty("折扣价")
    private BigDecimal discountPrice;

    /**
     * 品牌
     */
    @ApiModelProperty("品牌")
    private Integer brandId;

    /**
     * 商品描述
     */
    @ApiModelProperty("商品描述")
    private String descr;

    /**
     * 图集
     */
    @ApiModelProperty("图集")
    private String imgs;

    /**
     * 制造商
     */
    @ApiModelProperty("制造商")
    private String manufacturer;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    private String telephone;

    /**
     * 收藏量
     */
    @ApiModelProperty("收藏量")
    private Integer favoriteNum;

    /**
     * 点赞量
     */
    @ApiModelProperty("点赞量")
    private Integer likeNum;

    /**
     * 浏览量
     */
    @ApiModelProperty("浏览量")
    private Integer browseNum;

    /**
     * 热门推荐 1:否0:是
     */
    @ApiModelProperty("热门推荐 1:否0:是")
    private Integer hotFlag;

    /**
     * 联系人
     */
    @ApiModelProperty("联系人")
    private String contactPerson;

    /**
     * 状态 0:正常1:下架
     */
    @ApiModelProperty("状态 0:正常1:下架")
    private Integer statuz;

    @ApiModelProperty("是否收藏")
    private transient Integer isFavorite;

    @ApiModelProperty("收藏id")
    private transient Long favoriteId;

    @ApiModelProperty("品牌名称")
    private transient String brandName;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getBrandId() {
        return brandId;
    }

    public void setBrandId(Integer brandId) {
        this.brandId = brandId;
    }

    public String getDescr() {
        return descr;
    }

    public void setDescr(String descr) {
        this.descr = descr;
    }

    public String getImgs() {
        return imgs;
    }

    public void setImgs(String imgs) {
        this.imgs = imgs;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public Integer getFavoriteNum() {
        return favoriteNum;
    }

    public void setFavoriteNum(Integer favoriteNum) {
        this.favoriteNum = favoriteNum;
    }

    public Integer getLikeNum() {
        return likeNum;
    }

    public void setLikeNum(Integer likeNum) {
        this.likeNum = likeNum;
    }

    public Integer getBrowseNum() {
        return browseNum;
    }

    public void setBrowseNum(Integer browseNum) {
        this.browseNum = browseNum;
    }

    public Integer getHotFlag() {
        return hotFlag;
    }

    public void setHotFlag(Integer hotFlag) {
        this.hotFlag = hotFlag;
    }

    public Integer getStatuz() {
        return statuz;
    }

    public void setStatuz(Integer statuz) {
        this.statuz = statuz;
    }

    public Integer getIsFavorite() {
        return isFavorite;
    }

    public void setIsFavorite(Integer isFavorite) {
        this.isFavorite = isFavorite;
    }

    public Long getFavoriteId() {
        return favoriteId;
    }

    public void setFavoriteId(Long favoriteId) {
        this.favoriteId = favoriteId;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public String getContactPerson() {
        return contactPerson;
    }

    public void setContactPerson(String contactPerson) {
        this.contactPerson = contactPerson;
    }

    public BigDecimal getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(BigDecimal discountPrice) {
        this.discountPrice = discountPrice;
    }
}
